Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLDOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMImplementationImpl
            |
            +--org.apache.html.dom.HTMLDOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation, HTMLDOMImplementation

public class HTMLDOMImplementationImpl
extends DOMImplementationImpl
implements HTMLDOMImplementation

Provides number of methods for performing operations that are independent of any particular instance of the document object model. This class is unconstructable, the only way to obtain an instance of a DOM implementation is by calling the static method `DOMImplementationImpl.getDOMImplementation()`.

Version:
  $Revision: 1.3 $ $Date: 2000/02/10 04:00:09 $
See Also:
  `DOMImplementation`

Method Summary
`HTMLDocument` | `createHTMLDocument(java.lang.String title)` Create a new HTML document of the specified `TITLE` text.
`static HTMLDOMImplementation` | `getHTMLDOMImplementation()` Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g.

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`createDocument, createDocumentType, getDOMImplementation, hasFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, hasFeature`

Method Detail

### createHTMLDocument

    public final HTMLDocument createHTMLDocument(java.lang.String title)
                                          throws DOMException

  Create a new HTML document of the specified `TITLE` text.
  Specified by:
    `createHTMLDocument` in interface `HTMLDOMImplementation`
  Parameters:
    `title` - The document title text
  Returns:
    New HTML document

### getHTMLDOMImplementation

    public static HTMLDOMImplementation getHTMLDOMImplementation()

  Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g. to create a new document.
  Returns:
    Reference to a valid DOM implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD